from django.urls import path
from . import views

app_name = 'play'

urlpatterns = [
    path('game/new/<int:quiz_id>', views.create_game, name='create_game'),
    path('game/<str:join_code>', views.lobby, name='lobby'),
    path('game/<str:join_code>/participate', views.create_participant, name='create_participant'),
    path('join', views.join_game, name='join_game'),
    path('game/<str:join_code>/question', views.question, name='question'),
    path('game/<str:join_code>/waiting', views.waiting_room, name='waiting'),
    path('game/<str:join_code>/scores', views.scores, name='scores'),
    path('game/<str:join_code>/finished', views.finished, name='finished'),
    path('game/<str:join_code>/winner_podest', views.winner_podest, name='winner_podest'),
    path('game/<str:join_code>/scoreboard', views.scoreboard, name='scoreboard'),
    path('select_mode/<str:join_code>', views.select_mode, name='select_mode'),
    path('selected_mode/<str:join_code>', views.selected_mode, name='selected_mode'),
]